# Returns permissions of the specified role.

GET https://api.awork.com/api/v1/roles/{roleId}/permissions

Returns permissions of the specified role. The result lists permissions assigned to the role.

<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/roles/{roleId}/permissions' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `roleId`: string (required). The id of the role.

- query parameter `page`: integer. Page number for pagination

- query parameter `pageSize`: integer. Number of items per page

- query parameter `orderby`: string. The properties to order by

- query parameter `filterby`: string. The filter expression to filter by

## Response 200

OK

application/json

```json
[
  {
    "feature": "pmd",
    "accessLevels": [
      "read"
    ],
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2026-01-15T09:30:00Z",
    "updatedOn": "2026-01-15T09:30:00Z",
    "subdomains": [
      "ncnstn"
    ],
    "identityIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ]
  }
]
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
